#pragma once
#include "FileRepository.h"
#include "../exceptions/exceptions.h"
#include "../domain/trench.h"
#include <string>
#include <vector>
#include <fstream>
#include <iostream>

class CSVRepository : public FileRepository {
    private:
        std::string _fileName;
        void loadFromFile() override;
        void saveToFile() override;
    public:
        CSVRepository(std::string fileName,bool loadOnStart = false);
        ~CSVRepository();
        void open() override;
};